QGIS Application - Bug report #18201
Dissolve creates wrong output
2018-02-24 12:54 AM - Erik Sigra

Status: Closed

Priority: Normal

Assignee: Victor Olaya

Category: Processing/QGIS

Affected QGIS version:2.18.16 Regression?: No
Operating System: Gentoo Easy fix?: No
Pull Request or Patch supplied: Resolution: invalid
Crashes QGIS or corrupls data: Copied to github as #: 26092
Description

The attached screenshot shows polygons coloured by Id. On top of them are red dotted lines showing the borders of other polygons
created by the Dissolve command.

The red dotted lines seem to mostly be in the right places, but near the bottom right corner is an erroneous line. It seems like two of the
polygons created by Dissolve overlap.

History

#1 - 2018-02-24 12:59 AM - Erik Sigra
- Assignee changed from Victor Olaya to Erik Sigra
- Status changed from Open to Closed

Sorry, seems like | had a bad GIS day. There is overlap in the input to dissolve.

#2 - 2018-02-24 02:39 AM - Erik Sigra

- File test-voronoi.shx added

- File test-voronoi.qpj added

- File test-voronoi.prj added

- File test-voronoi.dbf added

- File voronoi_issue.png added

- Assignee changed from Erik Sigra to Victor Olaya
- Status changed from Closed to Reopened

- File voronoi_issue.qgs added

- File test-voronoi.shp added

There might be a bug in QGIS after all. But in Voronoi. It seems to create overlapping polygons. The attached screenshot shows the points used as input to
Voronoi and the generated polygons with half transparency so that overlap can be seen.

#3 - 2018-02-25 09:26 PM - Giovanni Manghi
- Status changed from Reopened to Closed
- Resolution set to invalid

Erik Sigra wrote:
There might be a bug in QGIS after all. But in Voronoi. It seems to create overlapping polygons. The attached screenshot shows the points used as

input to Voronoi and the generated polygons with half transparency so that overlap can be seen.

confirmed, but this is a different issue and you need to file a separate ticket.

#4 - 2018-02-25 10:43 PM - Erik Sigra

- Copied to Bug report #18212: Voronoi creates overlapping polygons added

#5 - 2018-02-26 08:49 AM - Alexander Bruy
- Copied to deleted (Bug report #18212: Voronoi creates overlapping polygons)

Files

dissolve_issue.png 320 KB 2018-02-23 Erik Sigra
dissolve_issue.qgs 24 KB 2018-02-23 Erik Sigra
test-polygons.dbf 1.39 KB 2018-02-23 Erik Sigra
test-polygons.prj 377 Bytes 2018-02-23 Erik Sigra
test-polygons.qpj 568 Bytes 2018-02-23 Erik Sigra
test-polygons.shp 18.5 KB 2018-02-23 Erik Sigra
test-polygons.shx 1.06 KB 2018-02-23 Erik Sigra
VOronoi_issue.png 355 KB 2018-02-24 Erik Sigra
test-voronoi.dbf 1.39 KB 2018-02-24 Erik Sigra
test-voronoi.qpj 568 Bytes 2018-02-24 Erik Sigra
test-voronoi.prj 377 Bytes 2018-02-24 Erik Sigra
test-voronoi.shx 1.06 KB 2018-02-24 Erik Sigra
test-voronoi.shp 3.46 KB 2018-02-24 Erik Sigra
VOronoi_issue.qgs 26.3 KB 2018-02-24 Erik Sigra
